package com.songhua.system.domain;

import com.songhua.common.annotation.Excel;
import com.songhua.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 票种规则对象 shh_ticket_rules
 *
 * @author ruoyi
 * @date 2024-11-04
 */

public class ShhTicketRules extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 票务规则名称
     */
    @Excel(name = "票务规则名称")
    private String ticketRules;

    /**
     * 票种id
     */
    private String ticketId;

    /**
     * 票种
     */
    private String ticketName;

    /**
     * 票种集合
     */
    private List<Long> ticketList;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTicketRules(String ticketRules) {
        this.ticketRules = ticketRules;
    }

    public String getTicketRules() {
        return ticketRules;
    }

    public void setTicketName(String ticketName) {
        this.ticketName = ticketName;
    }

    public String getTicketName() {
        return ticketName;
    }

    public void setTicketId(String ticketId) {
        this.ticketId = ticketId;
    }

    public String getTicketId() {
        return ticketId;
    }

    public void setTicketList(List<Long> ticketList) {
        this.ticketList = ticketList;
    }

    public List<Long> getTicketList() {
        return ticketList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ticketRules", getTicketRules())
                .append("ticketId", getTicketId())
                .append("ticketName", getTicketName())
                .append("ticketList", getTicketList())
                .toString();
    }
}
