package com.songhua.system.domain;

import com.songhua.common.annotation.Excel;
import com.songhua.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 票种规则子对象 shh_ticket_rules_data
 *
 * @author ruoyi
 * @date 2024-11-04
 */
public class ShhTicketRulesData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 票务规则id
     */
    @Excel(name = "票务规则id")
    private Long rulesId;

    /**
     * 票种id
     */
    @Excel(name = "票种id")
    private Long ticketId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setRulesId(Long rulesId) {
        this.rulesId = rulesId;
    }

    public Long getRulesId() {
        return rulesId;
    }

    public void setTicketId(Long ticketId) {
        this.ticketId = ticketId;
    }

    public Long getTicketId() {
        return ticketId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("rulesId", getRulesId())
                .append("ticketId", getTicketId())
                .toString();
    }
}
